<?xml version="1.0"?>

<!-- Version: $Id: xformspec.xsl,v 1.9 2002/09/24 21:11:27 mdubinko Exp $ -->

<!-- Stylesheet for XForms-specific changes to xmlspec -->
<!-- Author: Micah Dubinko (mdubinko@Cardiff.com) -->
<!-- Date Created: 2002.01.10 -->

<!-- This stylesheet is copyright (c) 2002 by its authors.  Free
     distribution and modification is permitted, including adding to
     the list of authors and copyright holders, as long as this
     copyright notice is maintained. -->

<!-- This stylesheet attempts to implement the XML Specification V2.1
     DTD.  Documents conforming to earlier DTDs may not be correctly
     transformed.
     
     When using this stylesheet, slices-common.xsl and diffspec.xsl
     should be modified to import this instead of xmlspec.xsl
     
     <xsl:import href="xmlspec.xsl"/> -> <xsl:import href="xformspec.xsl"/>
-->

<!-- ChangeLog:
     10 Jan 2002: (mdubinko@Cardiff.com)
       - Initial version: "Example:" omitted from syntax <eg>s
       
     29 Mar 2002: (mdubinko@Cardiff.com)
       - Import Schema through pretty-printer stylesheet
         (c) Oliver Becker, 2000-08-12  obecker@informatik.hu-berlin.de
         Used with permission.

     02 Apr 2002: Added a carefully defaulted <preserve-space> to work around
     a bug in libxslt/xsltproc

     15 Aug 2002: (Leigh.Klotz@pahv.xerox.com)
       - Import examples through pretty-printer and split eg-01 into two files.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="xmlspec.xsl"/>

<xsl:preserve-space elements="sequence attribute element group union" xmlns="http://www.w3.org/2001/XMLSchema"/>

<!-- rule to eliminate "Example: " from syntax sections -->
<xsl:template match="example/head">
<xsl:text>
</xsl:text>
<xsl:choose>
  <xsl:when test="$tabular.examples = 0">
    <div class="exampleHead">
      <xsl:if test="../@role!='syntax'"> <!-- ** added this line ** -->
        <xsl:text>Example: </xsl:text>
      </xsl:if>                          <!-- ** added this line ** -->
      <xsl:apply-templates/>
    </div>
  </xsl:when>
  <xsl:otherwise>
    <h5>
      <xsl:text>Example: </xsl:text>
      <xsl:apply-templates/>
    </h5>
  </xsl:otherwise>
</xsl:choose>
</xsl:template>


<!-- rules to import Schema -->
<xsl:include href="xmlverbatim.xsl"/>

<xsl:template match="/" priority="999">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="eg[@role='include-XForms-Schema.xsd']">
<div class="exampleInner"><xsl:apply-templates select="document('XForms-Schema.xsd')" mode="xmlverb"/></div>
</xsl:template>

<xsl:template match="eg[@role='include-XML-Events-Schema.xsd']">
<div class="exampleInner"><xsl:apply-templates select="document('XML-Events-Schema.xsd')" mode="xmlverb"/></div>
</xsl:template>

<xsl:template match="eg[@role='include-eg-00.xml']">
<div class="exampleInner"><xsl:apply-templates select="document('examples/eg-00.xml')" mode="xmlverb"/></div>
</xsl:template>

<xsl:template match="eg[@role='include-eg-00-payschema.xsd']">
<div class="exampleInner"><xsl:apply-templates select="document('examples/payschema.xsd')" mode="xmlverb"/></div>
</xsl:template>

<xsl:template match="eg[@role='include-eg-01.xml']">
<div class="exampleInner"><xsl:apply-templates select="document('examples/eg-01.xml')" mode="xmlverb"/></div>
</xsl:template>

<xsl:template match="eg[@role='include-eg-01-instance.xml']">
<div class="exampleInner"><xsl:apply-templates select="document('examples/eg-01-instance.xml')" mode="xmlverb"/></div>
</xsl:template>

<xsl:template match="eg[@role='include-eg-02.xml']">
<div class="exampleInner"><xsl:apply-templates select="document('examples/eg-02.xml')" mode="xmlverb"/></div>
</xsl:template>

</xsl:stylesheet>
